# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2003 Colin Walters <walters@debian.org>
# Copyright © 2003,2009-2010 Jonas Smedegaard <dr@jones.dk>
# Description: Configures, builds, and cleans Perl MakeMaker modules
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# TODO: rewrite to use $(cdbs_make_curbuilddir)

_cdbs_scripts_path ?= /usr/lib/cdbs
_cdbs_rules_path ?= /usr/share/cdbs/1/rules
_cdbs_class_path ?= /usr/share/cdbs/1/class

ifndef _cdbs_class_perl_makemaker
_cdbs_class_perl_makemaker = 1

# Make sure that CDBS_BUILD_DEPENDS is initialised
include $(_cdbs_class_path)/perl-makemaker-vars.mk$(_cdbs_makefile_suffix)
include $(_cdbs_class_path)/makefile.mk$(_cdbs_makefile_suffix)

# Dependency according to Perl policy § 4.3
CDBS_BUILD_DEPENDS_class_perl-makemaker_perl ?= perl
CDBS_BUILD_DEPENDS += , $(CDBS_BUILD_DEPENDS_class_perl-makemaker_perl)

cdbs_makemaker_builddir_check = $(if $(call cdbs_streq,$(DEB_BUILDDIR),$(DEB_SRCDIR)),,$(error DEB_BUILDDIR and DEB_SRCDIR must be the same for Perl builds))

common-configure-arch common-configure-indep:: Makefile
Makefile:
	(cd $(DEB_BUILDDIR) && $(cdbs_makemaker_builddir_check)$(DEB_MAKEMAKER_INVOKE) )

endif
